# BridgeFT WealthTech API Documentation > WealthTech API Platform Documentation, from Bridge Financial Technology ## Guides - [Welcome to BridgeFT](https://docs.bridgeft.com/docs/welcome-v26.md) - [WealthTech API Postman Collection Setup](https://docs.bridgeft.com/docs/postman-collection-v26.md) - [API Versioning Overview](https://docs.bridgeft.com/docs/versioning.md) - [Consuming API Versions](https://docs.bridgeft.com/docs/consuming-api-versions.md) - [FAQs](https://docs.bridgeft.com/docs/faqs.md) - [Authentication Guide](https://docs.bridgeft.com/docs/machine-to-machine-v26.md) - [Supported HTTP Methods](https://docs.bridgeft.com/docs/supported-http-methods-v26.md) - [Data Formats](https://docs.bridgeft.com/docs/data-format-v26.md) - [How to Filter Data](https://docs.bridgeft.com/docs/filtering-v26.md) - [Pagination](https://docs.bridgeft.com/docs/pagination-v26.md) - [Errors Handling](https://docs.bridgeft.com/docs/errors-v26.md) - [Advisor Codes](https://docs.bridgeft.com/docs/advisor-codes-1.md) - [Accounts Identification by SSN/Tax ID](https://docs.bridgeft.com/docs/accounts-identification-by-ssntax-id.md) - [Exchange SSN/Tax ID Token for Original Tax ID](https://docs.bridgeft.com/docs/exchange-tax-id-token-for-clear-text-tax-id.md) - [Related Persons](https://docs.bridgeft.com/docs/related-persons-1.md) - [Overview](https://docs.bridgeft.com/docs/data-feed-guide-overview.md) - [Schwab Data Feed Authorization](https://docs.bridgeft.com/docs/data-feed-guide-schwab.md) - [Fidelity Data Feed Authorization](https://docs.bridgeft.com/docs/data-feed-guide-fidelity.md) - [Pershing Data Feed Authorization](https://docs.bridgeft.com/docs/pershing-data-feed-authorization.md) - [Interactive Brokers Data Feed Authorization](https://docs.bridgeft.com/docs/interactive-brokers-data-feed-authorization.md) - [DST Data Feed Authorization](https://docs.bridgeft.com/docs/data-feed-guide-dst.md) - [Apex Clearing Data Feed Authorization](https://docs.bridgeft.com/docs/data-feed-guide-apex.md) - [ROI API for Data Feeds Authorization](https://docs.bridgeft.com/docs/roi-api.md) - [Pontera Data Feed Authorization](https://docs.bridgeft.com/docs/pontera-data-feed-authorization.md) - [Axos Advisor Services Feed Authorization](https://docs.bridgeft.com/docs/axos-advisor-services-feed-authorization.md) - [Data Overview](https://docs.bridgeft.com/docs/data-overview-v26.md) - [Data Dictionary](https://docs.bridgeft.com/docs/data-dictionary-v26.md) - [Source Account and Registration Types](https://docs.bridgeft.com/docs/source-account-and-registration-types.md): In addition to the BridgeFT-normalized account type field, the API also provides the original custodial account and registration type information through the account type reported and registration type reported fields. The tables below outline these values and their corresponding definitions as received directly from the custodian. - [Normalized Data Schema](https://docs.bridgeft.com/docs/normalized-data-schema.md) - [Asset Classification Overlay](https://docs.bridgeft.com/docs/custom-asset-classifications-v26.md) - [Data Availability Status](https://docs.bridgeft.com/docs/data-availability-status.md) - [Securities Reference](https://docs.bridgeft.com/docs/securities-reference.md) - [AUM Analytics](https://docs.bridgeft.com/docs/aum-analytics.md) - [Reporting Engine APIs Guide](https://docs.bridgeft.com/docs/reporting-engine-apis-guide.md) - [Basics of Performance Calculations](https://docs.bridgeft.com/docs/basics-of-performance-calculations.md) - [Billing Calculations Guide](https://docs.bridgeft.com/docs/billing-calculations-guide.md): An overview of the calculation methods supported by our billing engine. - [Market Data](https://docs.bridgeft.com/docs/market-data.md) - [TDA to Schwab Accounts Migration Guide](https://docs.bridgeft.com/docs/tda-to-schwab-accounts-migration-guide.md) - [Ledgerized to Normalized Data Migration Guide](https://docs.bridgeft.com/docs/ledgerized-to-normalized-data.md) ## API Reference - [Get an Auth Token](https://docs.bridgeft.com/reference/gettoken-1.md): Exchange your application's `client_id` and `client_secret` for a secure JWT Token. Please note that the encoded `username:password` in the Basic Auth request corresponds to `client_id:client_secret`. - [List Advisor Codes](https://docs.bridgeft.com/reference/getadvisorcodes.md): Returns a list of all of the advisor codes associated with the application. - [Create an Advisor Code](https://docs.bridgeft.com/reference/createadvisorcode.md): Returns the created Advisor Code, if successful. **Note for Advisor Code Mapping in Sandbox Applications** To preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only and requests for creation or deletion of advisor codes will not result in updates to advisor code mappings. Sandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not be reflected upon updates. For production applications, full access is granted to the advisor code mapping endpoints. Creations and removals of advisor codes will be applied to the advisor codes mapped to the application. - [Remove an Advisor Code](https://docs.bridgeft.com/reference/deleteadvisorcode.md): Returns the "OK" message and a json object with the id the advisor codes removed, if deletion was successful **Note for Advisor Code Mapping in Sandbox Applications** To preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only and requests for creation or deletion of advisor codes will not result in updates to advisor code mappings. Sandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not be reflected upon updates. For production applications, full access is granted to the advisor code mapping endpoints. Creations and removals of advisor codes will be applied to the advisor codes mapped to the application. - [Create Multiple Advisor Codes](https://docs.bridgeft.com/reference/createmanyadvisorcodes.md): Enables the ability create new advisor codes for your application **Note for Advisor Code Mapping in Sandbox Applications** To preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only and requests for creation or deletion of advisor codes will not result in updates to advisor code mappings. Sandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not be reflected upon updates. For production applications, full access is granted to the advisor code mapping endpoints. Creations and removals of advisor codes will be applied to the advisor codes mapped to the application. - [Delete multiple Advisor Codes](https://docs.bridgeft.com/reference/deletemanyadvisorcodes.md): Gives the ability to remove multiple advisor codes from your application by providing IDs. The `id`'s provided can be found from resources returned from the `GET /v2/org/advisor-codes` endpoint. **Note for Advisor Code Mapping in Sandbox Applications** To preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only and requests for creation or deletion of advisor codes will not result in updates to advisor code mappings. Sandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not be reflected upon updates. For production applications, full access is granted to the advisor code mapping endpoints. Creations and removals of advisor codes will be applied to the advisor codes mapped to the application. - [Send ROI Request to Custodian](https://docs.bridgeft.com/reference/sendroirequest-1.md): Automatically generates and sends an email to selected Custodian in order to authorize Release of Information between Custodian and BridgeFT. - [List all Accounts](https://docs.bridgeft.com/reference/getaccounts-1.md): Return an enveloped list of Accounts accessible to your application - [Update Accounts](https://docs.bridgeft.com/reference/readupdatedaccounts-1.md): Provide a list of accounts to update. Then entire account object **must** be provided to the `PUT` request. **Editable Fields:** - `benchmarks_ids` - `fee_structures_ids` - `billing_splits_ids` - `notes` - `nickname` - `household_id` To remove an account from a household, provide `null` in this field. - `target_allocation_id` - `first_performance_date` - `payment_source` - `first_billable_date` - `investment_model_id` - `required_cash` - `unsupervised_securities_ids` - `buy_securities_ids` - `sell_securities_ids` - `do_not_buy_securities_ids` - `do_not_sell_securities_ids` - `required_cash_frequency` - [Retrieve an Account](https://docs.bridgeft.com/reference/getaccount-1.md): Returns an account based on a single ID - [Update an Account](https://docs.bridgeft.com/reference/readupdatedaccount-1.md): Provide an account to update. Then entire account object **must** be provided to the `PUT` request. **Editable Fields:** - `benchmark_ids` - `fee_structure_ids` - `billing_split_ids` - `notes` - `nickname` - `household_id` To remove an account from a household, provide `null` in this field. - `target_allocation_id` - `first_performance_date` - `payment_source` - `first_billable_date` - `investment_model_id` - `required_cash` - `unsupervised_securities_ids` - `buy_securities_ids` - `sell_securities_ids` - `do_not_buy_securities_ids` - `do_not_sell_securities_ids` - `required_cash_frequency` - [Filter Account records](https://docs.bridgeft.com/reference/filteraccounts-1.md): Filter accounts - [Retrieve Single Tokenized Tax ID](https://docs.bridgeft.com/reference/gettaxid.md): Exchange a single Tax ID for the tokenized representation. - [Retrieve Many Tokenized Tax IDs](https://docs.bridgeft.com/reference/gettaxids.md): Exchange multiple Tax IDs for their tokenized representations. - [Exchange Tax ID Token](https://docs.bridgeft.com/reference/exchangetaxidtoken.md): Exchange`tax_id_token` For Plain Text Value - [Exchange Tax ID Tokens](https://docs.bridgeft.com/reference/exchangetaxidtokens.md): Exchange list of `tax_id_tokens` For Their Plain Text Values - [List all Related Persons](https://docs.bridgeft.com/reference/getrelatedpersons-1.md): Returns a list of all related persons for accessible accounts. - [Filter related persons](https://docs.bridgeft.com/reference/filterrelatedpersons-1.md): Filter related persons - [List all TDA to Schwab Migrated Accounts](https://docs.bridgeft.com/reference/getschwabtdamappings-1.md): Retrieve the list of all your TDA Accounts which are subjected to be migrated to Schwab. - [Filter TDA to Schwab Migrated Accounts](https://docs.bridgeft.com/reference/filterschwabtdamappings-1.md): Filter out to find particular TDA Account and its respective new Schwab account number. - [Firm-Wide AUM Records](https://docs.bridgeft.com/reference/getaums-1.md): Returns a list of all firm-wide AUM records that have been calculated over-time. Firm-wide AUM is calculated by BridgeFT daily, stored as a resource and accessible over this API. This enables consumers to view firm AUM as a monthly or daily time-series. - [Retrieve Firm-Wide Asset Under Management Values](https://docs.bridgeft.com/reference/getaum-1.md): Returns values of assets under management Firm-wide by ID. - [Get filtered AUM](https://docs.bridgeft.com/reference/getfilteredaums-1.md): Returns a list of AUM, filtered by frequency and ordered by as_of_date - [Filter Firm-Wide AUM](https://docs.bridgeft.com/reference/filteraums-1.md): Returns a list of all firm-wide AUM records that have been calculated over-time. Firm-wide AUM is calculated by BridgeFT daily, stored as a resource and accessible over this API. This endpoint enables consumers to view firm AUM filtered by various parameters (as of date, frequency and AUM value) provided in the request body. - [Account AUM](https://docs.bridgeft.com/reference/aumbyaccount.md): Returns AUM records for requested Account(s) on a selected date. Provide a list of `account_ids` and receive the assets under management value for each account. - [Household AUM](https://docs.bridgeft.com/reference/aumbyhousehold.md): Returns AUM records for requested Household(s) on a selected date. Provide a list of `household_ids` and receive the assets under management value for each household. - [Account Performance Data](https://docs.bridgeft.com/reference/getaccountperformance-1.md): Fetch Account Performance for a list of Account IDs - [Household Performance data](https://docs.bridgeft.com/reference/gethouseholdperformance-1.md): Fetch Household Performance for a list of Household IDs - [Benchmark Performance data](https://docs.bridgeft.com/reference/getbenchmarkperformance-1.md): Fetch Benchmark Performance for a list of Benchmark IDs - [List all Billing Groups](https://docs.bridgeft.com/reference/getbillinggroups-1.md): Retrieve the enveloped list of Billing Groups - [Bulk Update Billing Groups](https://docs.bridgeft.com/reference/updatebillinggroups-1.md): Provide a list of billing groups to update. Then entire billing group object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `minimum_ids` - `household_id` - `assignments` - [Create a Billing Group](https://docs.bridgeft.com/reference/createbillinggroups-1.md): Returns the created billing group - [Retrieve a Billing Group](https://docs.bridgeft.com/reference/getbillinggroup-1.md): Returns a billing group record for a provided ID - [Update a Billing Group](https://docs.bridgeft.com/reference/updatebillinggroup-1.md): Provide a billing group to update. Then entire billing group object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `minimum_ids` - `household_id` - `assignments` - [Delete a Billing Group](https://docs.bridgeft.com/reference/detelebillinggroup-1.md): Deletes the billing group record for the provided ID. - [Create Many Billing Groups](https://docs.bridgeft.com/reference/createmanybillinggroups-1.md): Returns a list of created Billing Groups - [Filter all Billing Groups](https://docs.bridgeft.com/reference/filterbillinggroups-1.md): Returns a filtered list of Billing Groups - [Delete Many Billing Groups](https://docs.bridgeft.com/reference/detelemanybillinggroups-1.md): Removes billing group records for the provided `ids` - [Remove a Billing Group Assignment](https://docs.bridgeft.com/reference/removeassignment-1.md): Delete a single assignment tied to a Billing Group - [Create Billing Groups from Households](https://docs.bridgeft.com/reference/createbillinggroupcreatefromhousehold-1.md): Deletes existing Billing Groups, and recreates for the accounts of each household managed by the firm - [List all Asset Adjustments](https://docs.bridgeft.com/reference/getassetadjustments-1.md): Returns a list of Asset Adjustments within the data field - [Bulk Update Asset Adjustments](https://docs.bridgeft.com/reference/updateassetadjustments-1.md): Provide a list of asset adjustments to update. Then entire asset adjustment object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `adjustment_type` - `level` - `security_ids` - `weight` - [Create an Asset Adjustment](https://docs.bridgeft.com/reference/createassetadjustments-1.md): Returns a created Asset Adjustment - [Retrieve an Asset Adjustment](https://docs.bridgeft.com/reference/getassetadjustment-1.md): Returns an Asset Adjustment based on a single ID - [Update an Asset Adjustment](https://docs.bridgeft.com/reference/updateassetadjustment-1.md): Provide an asset adjustment to update. Then entire asset adjustment object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `adjustment_type` - `level` - `security_ids` - `weight` - [Delete an Asset Adjustment](https://docs.bridgeft.com/reference/deteleassetadjustment-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Create Many Asset Adjustments](https://docs.bridgeft.com/reference/createmanyassetadjustments-1.md): Returns the created Asset Adjustment - [Delete many Asset Adjustments](https://docs.bridgeft.com/reference/detelemanyassetadjustments-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [Filter all Asset Adjustment](https://docs.bridgeft.com/reference/filterbillingassetadjustment-1.md): Returns a filtered list of Asset Adjustment - [List all Fee Upload Files](https://docs.bridgeft.com/reference/getfeeuploads-1.md): Return an enveloped list of fee upload files generated by your application. - [Retrieve a Fee Upload File](https://docs.bridgeft.com/reference/getfeeupload-1.md): Returns the fee upload file record for the provided ID. - [Filter all Fee Upload Files](https://docs.bridgeft.com/reference/filterfeeupload-1.md): Returns a filtered list of Fee Upload Files - [Download the Fee Upload File](https://docs.bridgeft.com/reference/getfeeuploaddownload-1.md): Returns the fee upload file .zip archive for the specified ID. - [List all Fee Structures](https://docs.bridgeft.com/reference/getfeestructures-1.md): Returns an enveloped list of Fee Structures. - [Bulk Update Fee Structures](https://docs.bridgeft.com/reference/updatefeestructures-1.md): Provide a list of fee structures to update. Then entire fee structure object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `calculation_type` - `collection_type` - `frequency` - `quarter_cycle` - `balance_type` - `flat_rate` - `flat_dollar_fee` - `semi_annual_cycle` - `annual_cycle` - `tiers` - [Create a Fee Structure](https://docs.bridgeft.com/reference/createfeestructures-1.md): Returns the created Fee Structure - [Retrieve a Fee Structure](https://docs.bridgeft.com/reference/getfeestructure-1.md): Returns the fee structure record for the provided ID - [Update a Fee Structure](https://docs.bridgeft.com/reference/updatefeestructure-1.md): Provide a fee structure to update. Then entire fee structure object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `calculation_type` - `collection_type` - `frequency` - `quarter_cycle` - `balance_type` - `flat_rate` - `flat_dollar_fee` - `semi_annual_cycle` - `annual_cycle` - `tiers` - [Delete a Fee Structure](https://docs.bridgeft.com/reference/detelefeestructure-1.md): Deletes the record for the provided fee structure ID. - [Create Many Fee Structures](https://docs.bridgeft.com/reference/createmanyfeestructures-1.md): Returns a list of created Fee Structures - [Delete Many Fee Structures](https://docs.bridgeft.com/reference/detelemanyfeestructures-1.md): Deletes the records for the provided Fee Structure `ids` - [Filter all Fee Structures](https://docs.bridgeft.com/reference/filterfeestructures-1.md): Returns a filtered list of Fee Structure - [List all Invoices](https://docs.bridgeft.com/reference/getinvoices-1.md): Returns an enveloped list of invoices generated from Billing Reports. - [Retrieve an Invoice](https://docs.bridgeft.com/reference/getinvoice-1.md): Returns an invoice detail object for the provided ID. - [Filter all Invoices](https://docs.bridgeft.com/reference/filterinvoices-1.md): Returns a filtered list of Invoices - [Download a PDF Invoice](https://docs.bridgeft.com/reference/getinvoicedownloadstream-1.md): Returns the binary data for a specified invoice. This endpoint allows you to download the PDF file corresponding to the provided invoice ID. - [Bulk Download Billing Invoices](https://docs.bridgeft.com/reference/filterinvoicebulkdownload-1.md): Starts and returns a bulk download job - [List all Billing Reports](https://docs.bridgeft.com/reference/getbillingreports-1.md): Returns a list of Billing Reports within the data field - [Start a Billing Job](https://docs.bridgeft.com/reference/startbillingreportstartpdf-1.md): Starts a Billing Job with PDF Reporting and returns the created Background Job Instance - [Retrieve a Billing Report](https://docs.bridgeft.com/reference/getbillingreport-1.md): Returns a Billing Report based on a single ID - [Delete a Billing Report](https://docs.bridgeft.com/reference/detelebillingreport-1.md): Deletes the billing report record for the provided ID. - [Filter all Billing Reports](https://docs.bridgeft.com/reference/filterbillingreports-1.md): Returns a filtered list of Billing Reports - [Delete many Billing Reports](https://docs.bridgeft.com/reference/detelemanybillingreports-1.md): Deletes the corresponding billing report records for the provided list of `"ids"` in the request body. - [List all Minimums](https://docs.bridgeft.com/reference/getminimumsmany-1.md): Returns an enveloped list of Billing Minimums. - [Bulk Update Minimums](https://docs.bridgeft.com/reference/updateminimumsmany-1.md): Provide a list of billing minimums to update. Then entire billing minimum object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `value` - `value_type` - [Create a Minimum](https://docs.bridgeft.com/reference/createminimums-1.md): Returns the created Minimums - [Retrieve a Minimum](https://docs.bridgeft.com/reference/getminimums-1.md): Returns a Billing Minimum record for the provided ID. - [Update a Minimum](https://docs.bridgeft.com/reference/updateminimums-1.md): Provide a billing minimum to update. Then entire billing minimum object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `value` - `value_type` - [Delete a Minimum](https://docs.bridgeft.com/reference/deteleminimums-1.md): Deletes the billing minimum record for the provided ID. - [Create Many Minimums](https://docs.bridgeft.com/reference/createmanyminimums-1.md): Returns a list of created Minimums - [Delete Many Minimums](https://docs.bridgeft.com/reference/detelemanyminimumsmany-1.md): Deletes the corresponding billing minimum records for the provided IDs. - [Filter Minimums](https://docs.bridgeft.com/reference/filterminimums-1.md): Returns a filtered list of Minimums - [List all Billing Splits](https://docs.bridgeft.com/reference/getbillingsplits-1.md): Returns an enveloped list of Billing Split records - [Bulk Update Billing Splits](https://docs.bridgeft.com/reference/updatebillingsplits-1.md): Provide a list billing splits to update. Then entire billing split object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `percentage` - `splitter_name` - [Create a Billing Split](https://docs.bridgeft.com/reference/createbillingsplits-1.md): Returns the created Billing Split - [Retrieve a Billing Split](https://docs.bridgeft.com/reference/getbillingsplit-1.md): Returns the Billing Split record for the provided ID - [Update a Billing Split](https://docs.bridgeft.com/reference/updatebillingsplit-1.md): Provide a billing split to update. Then entire billing split object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `percentage` - `splitter_name` - [Delete a Billing Split](https://docs.bridgeft.com/reference/detelebillingsplit-1.md): Delete the billing split record for the provided ID - [Create Many Billing Splits](https://docs.bridgeft.com/reference/createmanybillingsplits-1.md): Returns a list of created Billing Splits - [Delete Many Billing Splits](https://docs.bridgeft.com/reference/detelemanybillingsplits-1.md): Delete billing split records for the provided `ids` - [Filter Billing Splits](https://docs.bridgeft.com/reference/filterbillingsplits-1.md): Returns a filtered list of Billing Splits - [List all Models](https://docs.bridgeft.com/reference/getmodels-1.md): Returns a list of models within the data field - [Bulk Update Models](https://docs.bridgeft.com/reference/updatemodels-1.md): Provide a list of Investment Models update. Then entire Investment Model object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `strategy_allocations` - [Create a Model](https://docs.bridgeft.com/reference/createmodels-1.md): Returns the created model - [Retrieve a Model](https://docs.bridgeft.com/reference/getmodel-1.md): Returns a model based on a single ID - [Update a Model](https://docs.bridgeft.com/reference/updatemodel-1.md): Provide an Investment Model update. Then entire Investment Model object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `strategy_allocations` - [Delete a Model](https://docs.bridgeft.com/reference/detelemodel-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Filter all Models](https://docs.bridgeft.com/reference/filtermodels-1.md): Returns a filtered list of Model - [Delete many Models](https://docs.bridgeft.com/reference/detelemanymodels-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Strategies](https://docs.bridgeft.com/reference/getstrategies-1.md): Returns a list of strategies within the data field - [Bulk Update Strategies](https://docs.bridgeft.com/reference/updatestrategies-1.md): Provide a list of Investment Strategies to update. Then entire Investment Strategy object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `description` - `provider` - `investment_minimum` - `fee` - `security_allocations` - [Create a Strategy](https://docs.bridgeft.com/reference/createstrategies-1.md): Returns the created strategy - [Retrieve a Strategy](https://docs.bridgeft.com/reference/getstrategy-1.md): Returns a strategy based on a single ID - [Update a Strategy](https://docs.bridgeft.com/reference/updatestrategy-1.md): Provide an Investment Strategy update. Then entire Investment Strategy object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `description` - `provider` - `investment_minimum` - `fee` - `security_allocations` - [Delete a Strategy](https://docs.bridgeft.com/reference/detelestrategy-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Create Many Strategies](https://docs.bridgeft.com/reference/createmanystrategies-1.md): Returns a list of created strategies - [Filter all Strategies](https://docs.bridgeft.com/reference/filterstrategies-1.md): Returns a filtered list of Strategy - [Delete many Strategies](https://docs.bridgeft.com/reference/detelemanystrategies-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Jobs](https://docs.bridgeft.com/reference/getjobs-1.md): Returns a list of jobs - [Retrieve a Job](https://docs.bridgeft.com/reference/getjob-1.md): Returns a Job based on a single ID - [Filter all Jobs](https://docs.bridgeft.com/reference/filterjobs-1.md): Return a filtered list of all Jobs - [Clear a Job](https://docs.bridgeft.com/reference/clearjobs-1.md): Deletes the Background Jobs associated with the user's profile - [List all Households](https://docs.bridgeft.com/reference/gethouseholds-1.md): Returns a list of households within the data field - [Update Households](https://docs.bridgeft.com/reference/readupdatedhouseholds-1.md): Provide a list of Households to update. Then entire Household object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `benchmarks_ids` - [Create a Household](https://docs.bridgeft.com/reference/createhousehold-1.md): Returns the created Household - [Retrieve a Household](https://docs.bridgeft.com/reference/gethousehold-1.md): Returns a household based on a single ID - [Update a Household](https://docs.bridgeft.com/reference/readupdatedhousehold-1.md): Provide a Household to update. Then entire Household object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `benchmarks_ids` - [Filter all Households](https://docs.bridgeft.com/reference/filterhouseholds-1.md): Return a filtered list of all Households - [Create Many Households](https://docs.bridgeft.com/reference/createmanyhouseholds-1.md): Returns a list of created Households - [Assign Accounts to Households](https://docs.bridgeft.com/reference/updateaccountswithhouseholds-1.md): Provide a map keyed on string `account_id` with value of the `household` the `account_id` should be mapped to. **Example Request Body:** ```json { "123456": 23, "123457": 23, "123458": 23, "123459": 24, "123460": 24, "123461": 24 } ``` The above payload would assign account IDs `123456`, `123457`, and `123458` to `household_id` 23. While the following accounts are mapped to `household_id` 24. **NOTE:** The `/reporting/households/remap` endpoint does not support removing accounts from households, only mapping accounts to specific households or assigning an account from one household to another. Alternatively, accounts can be assigned/unassigned households by updating the `household_id` on account(s) records directly via `PUT` requests. [Update a single account](https://docs.bridgeft.com/reference/readupdatedaccount-1) [Update multiple accounts](https://docs.bridgeft.com/reference/readupdatedaccounts-1) - [Retrieve Accounts in a Household](https://docs.bridgeft.com/reference/gethouseholdaccounts.md): Returns the accounts that belong to the provided household - [Delete a Household](https://docs.bridgeft.com/reference/detelehousehold.md): Deletes the Household record for the provided ID. - [List all Asset Classifications](https://docs.bridgeft.com/reference/getassetclassifications-1.md): Returns a list of asset classifications within the data field - [Bulk Update Asset Classifications](https://docs.bridgeft.com/reference/updateassetclassifications-1.md): Provide a list Asset Classifications to update. Then entire Asset Classification object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `security_id` - `class_tag_id` - [Create an Asset Classification](https://docs.bridgeft.com/reference/createassetclassifications-1.md): Returns the created asset classification - [Retrieve an Asset Classification](https://docs.bridgeft.com/reference/getassetclassification-1.md): Returns an asset classification based on a single ID - [Update an Asset Classification](https://docs.bridgeft.com/reference/updateassetclassification-1.md): Provide an Asset Classification to update. Then entire Asset Classification object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `security_id` - `class_tag_id` - [Delete an Asset Classification](https://docs.bridgeft.com/reference/deteleassetclassification-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Filter all Asset Classifications](https://docs.bridgeft.com/reference/filterassetclassifications-1.md): Returns a filtered list of Asset Classifications - [Create Many Asset Classifications](https://docs.bridgeft.com/reference/createmanyassetclassifications-1.md): Returns a list of created Asset Classifications - [Delete many Asset Classifications](https://docs.bridgeft.com/reference/detelemanyassetclassifications-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Classification Tags](https://docs.bridgeft.com/reference/getclassificationtags-1.md): Returns a list of Classification Tags within the data field - [Bulk Update Classification Tags](https://docs.bridgeft.com/reference/updateclassificationtags-1.md): Provide a list of Classification Tags to update. Then entire Classification Tag object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - [Create a Classification Tag](https://docs.bridgeft.com/reference/createclassificationtags-1.md): Returns the created classification tag - [Retrieve a Classification Tag](https://docs.bridgeft.com/reference/getclassificationtag-1.md): Returns a classification tag based on a single ID - [Update a Classification Tag](https://docs.bridgeft.com/reference/updateclassificationtag-1.md): Provide a Classification Tag to update. The entire Classification Tag object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - [Delete a classification Tag](https://docs.bridgeft.com/reference/deteleclassificationtag-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Filter all Classification Tags](https://docs.bridgeft.com/reference/filterclassificationtags-1.md): Returns a filtered list of classification tags - [Create Many Classification Tags](https://docs.bridgeft.com/reference/createmanyclassificationtags-1.md): Returns a list of created Classification Tags - [Delete many Classification Tags](https://docs.bridgeft.com/reference/detelemanyclassificationtags-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Benchmarks](https://docs.bridgeft.com/reference/getbenchmarks-1.md): Returns a list of Benchmarks within the data field - [Bulk Update Benchmarks](https://docs.bridgeft.com/reference/updatebenchmarks-1.md): Provide a list of Benchmarks to update. Then entire Benchmark object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `coefficients` - [Create a Benchmark](https://docs.bridgeft.com/reference/createbenchmarks-1.md): Returns the created Benchmark - [Retrieve a Benchmark](https://docs.bridgeft.com/reference/getbenchmark-1.md): Returns a Benchmark based on a single ID - [Update a Benchmark](https://docs.bridgeft.com/reference/updatebenchmark-1.md): Provide a Benchmark to update. Then entire Benchmark object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `coefficients` - [Delete a Benchmark](https://docs.bridgeft.com/reference/detelebenchmark-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Filter all Benchmarks](https://docs.bridgeft.com/reference/filterbenchmarks-1.md): Returns a filtered list of Benchmarks - [Create Many Benchmarks](https://docs.bridgeft.com/reference/createmanybenchmarks-1.md): Returns a list of created Benchmarks - [Delete many Benchmarks](https://docs.bridgeft.com/reference/detelemanybenchmarks-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Target Allocations](https://docs.bridgeft.com/reference/gettargetallocations-1.md): Returns a list of Target Allocations within the data field - [Bulk Update Target Allocations](https://docs.bridgeft.com/reference/updatetargetallocations-1.md): Provide a list of Target Allocations to update. Then entire Target Allocation object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `coefficients` - [Create a Target Allocation](https://docs.bridgeft.com/reference/createtargetallocations-1.md): Returns the created Target Allocation - [Retrieve a Target Allocation](https://docs.bridgeft.com/reference/gettargetallocation-1.md): Returns a Target Allocation based on a single ID - [Update a Target Allocation](https://docs.bridgeft.com/reference/updatetargetallocation-1.md): Provide a Target Allocation to update. Then entire Target Allocation object **must** be provided to the `PUT` request. **Editable Fields:** - `name` - `coefficients` - [Delete a Target Allocation](https://docs.bridgeft.com/reference/deteletargetallocation-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Filter all Target Allocations](https://docs.bridgeft.com/reference/filtertargetallocations-1.md): Returns a filtered list of Target Allocations - [Create Many Target Allocations](https://docs.bridgeft.com/reference/createmanytargetallocations-1.md): Returns a list of created Target Allocations - [Delete many Target Allocations](https://docs.bridgeft.com/reference/detelemanytargetallocations-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Printable Reports](https://docs.bridgeft.com/reference/getprintablereports-1.md): Returns a list of Printable Reports within the data field - [Retrieve a Printable Report](https://docs.bridgeft.com/reference/getprintablereport-1.md): Returns a Printable Report based on a single ID - [Delete a Printable Report](https://docs.bridgeft.com/reference/deteleprintablereport-1.md): Returns the "OK" message and a json object with the id of item deleted, if deletion was successful - [Filter all Printable Reports](https://docs.bridgeft.com/reference/filterprintablereports-1.md): Returns a filtered list of Printable Reports - [Start a PDFReport Job](https://docs.bridgeft.com/reference/filterprintablereportstartpdf-1.md): Starts a Background Job for PDF Reporting and returns the created Background Job Instance **Available Sub Reports** - `account_summary` - `allocation_and_performance_summary` - `appraisals` - `appraisals_wo_cost_basis` - `asset_allocation_top_holdings` - `benchmark_perf_summary` - `buy_sells` - `consolidated_summary` - `deposits_withdrawals` - `household_performance_attribution` - `income` - `management_fees` - `net_investment_chart` - `performance_summary` - `performance_chart` - `portfolio_snapshot` - `realized_gain_loss` - `risk_return_chart` - `security_performance` - `target_vs_actual_allocation` - [Download a Printable Report](https://docs.bridgeft.com/reference/getprintablereportdownloadstream-1.md): Returns the PDF for the provided printable report ID. - [Bulk Get Printable Report Download URLs](https://docs.bridgeft.com/reference/bulkgetprintablereportdownloadurls.md): Returns pre-signed S3 download URLs for a list of printable report IDs. URLs expire after 1 hour. Suitable for programmatic/headless access. - [Delete many Printable Reports](https://docs.bridgeft.com/reference/detelemanyprintablereports-1.md): Returns the "OK" message and a json object with the number of items deleted, if deletion was successful - [List all Report Settings](https://docs.bridgeft.com/reference/getreportsettings-1.md): Returns a list of Report Settings within the data field - [Bulk Update Report Settings](https://docs.bridgeft.com/reference/updatereportsettings-1.md): Returns the updated Report Settings - [Retrieve Report Settings](https://docs.bridgeft.com/reference/getreportsetting-1.md): Returns report settings based on a single ID - [Update Report Settings](https://docs.bridgeft.com/reference/updatereportsetting-1.md): Returns the updated Report Settings - [Filter all Report Settings](https://docs.bridgeft.com/reference/filterreportsettings-1.md): Returns a filtered list of Report Settings - [Run a web report](https://docs.bridgeft.com/reference/webreportstart-1.md): Runs a web report and returns the reporting output synchronously **Available Sub Reports** - `account_summary` - `allocation_and_performance_summary` - `appraisals` - `appraisals_wo_cost_basis` - `asset_allocation_top_holdings` - `benchmark_perf_summary` - `buy_sells` - `consolidated_summary` - `deposits_withdrawals` - `household_performance_attribution` - `income` - `management_fees` - `net_investment_chart` - `performance_summary` - `performance_chart` - `portfolio_snapshot` - `realized_gain_loss` - `risk_return_chart` - `security_performance` - `target_vs_actual_allocation` - [List all List all IDC Indexes](https://docs.bridgeft.com/reference/getindexes-1.md): Returns a list of List all IDC Indexes - [Retrieve an IDC Index](https://docs.bridgeft.com/reference/getindex-1.md): Returns an idc index based on a single ID - [Filter all IDC Indexes](https://docs.bridgeft.com/reference/filterindex-1.md): Return a filtered list of all IDC indexes - [List all Securities](https://docs.bridgeft.com/reference/getsecurities-1.md): Returns a list of securities - [Retrieve a Security](https://docs.bridgeft.com/reference/getsecurity-1.md): Returns a single security based on an ID - [Filter all Securities](https://docs.bridgeft.com/reference/filtersecurities-1.md): Returns a filtered list of Securities - [Get Security with USD](https://docs.bridgeft.com/reference/getsecurityusd-1.md): Returns the first security object where the issue_type_code is 1 - [Search for Securities](https://docs.bridgeft.com/reference/getsecuritysearch-1.md): Returns modified representations of Securities based on input parameters used for filtering - [Get Compressed Securities](https://docs.bridgeft.com/reference/getsecuritycompressed-1.md): Returns compressed and modified representations of all Securities that are being tracked - [Fetch Securities](https://docs.bridgeft.com/reference/getsecurityfetch-1.md): Returns a list of securities based on the ids passed in - [Get Managed Securities](https://docs.bridgeft.com/reference/getsecuritymanaged-1.md): Returns a list of security ids that belong to the user's household and firm - [List all Security Reference Records](https://docs.bridgeft.com/reference/getsecuritiesreference.md): Returns a list of normalized custodian reported securities enriched with Intrinio Market data for a provided `reported_date` **Example Records** Below is an example of two security records reported by Schwab, the first is a standard `AAPL` stock and below that is an AAPL option. Option records will have additional data points populated that provided specific information about the option as reported by the custodian. ```json [ { "reported_date": "2024-07-10", "source": "SWB", "cusip": "037833100", "symbol": "AAPL", "description": "APPLE INC ", "security_type": "COM", "security_type_description": "COMMON STOCK", "option_root_symbol": "", "option_expiration_date": "", "option_code": "", "strike_price_amount": 0, "market_data": { "symbol": "AAPL", "description": "Apple Inc", "figi": "BBG000B9Y5X2", "composite_figi": "BBG000B9XRY4", "security_type": "Ordinary Shares", "security_code": "EQS", "security_code_description": "Equity Shares" } }, { "reported_date": "2024-07-10", "source": "SWB", "cusip": "", "symbol": "AAPL", "description": "CALL APPLE INC $195 EXP 09/19/25", "security_type": "OEQ", "security_type_description": "EQUITY OPTION", "option_root_symbol": "AAPL", "option_expiration_date": "2025-09-19", "option_code": "C", "strike_price_amount": 195, "market_data": { "symbol": "AAPL", "description": "Apple Inc", "figi": "BBG000B9Y5X2", "composite_figi": "BBG000B9XRY4", "security_type": "Ordinary Shares", "security_code": "EQS", "security_code_description": "Equity Shares" } } ] ``` - [List all lots records](https://docs.bridgeft.com/reference/getsourcelots-1.md): Returns a list of lots - [Retrieve a lot record](https://docs.bridgeft.com/reference/getsourcelot-1.md): Returns a lot record based on its ID - [Filter all lot records](https://docs.bridgeft.com/reference/filtersourcelots-1.md): Returns a filtered list of lot records - [Latest Lots Records](https://docs.bridgeft.com/reference/getsourcelotslatest.md): Returns a list of the most recent lot records as of the latest date reported by the custodian. Request body fields can be included in request body, or as query parameters for optional filtering. - [List all positions records](https://docs.bridgeft.com/reference/getsourcepositions-1.md): Returns a list of positions - [Retrieve a position record](https://docs.bridgeft.com/reference/getsourceposition-1.md): Returns a position record based on its ID - [Filter all position records](https://docs.bridgeft.com/reference/filtersourceposition-1.md): Returns a filtered list of position records - [Latest Position Records](https://docs.bridgeft.com/reference/getsourcepositionslatest.md): Returns a list of the most recent position records as of the latest date reported by the custodian. Request body fields can be included in request body, or as query parameters for optional filtering. - [List all Realized Gain Losses records](https://docs.bridgeft.com/reference/getsourcerealizedgainlosses-1.md): Returns a list of Realized Gain Losses - [Retrieve a Realized Gain Loss record](https://docs.bridgeft.com/reference/getsourcerealizedgainloss-1.md): Returns a Realized Gain Loss record based on its ID - [Filter all Realized Gain Loss records](https://docs.bridgeft.com/reference/filtersourcerealizedgainloss-1.md): Returns a filtered list of Realized Gain Loss records - [Latest Realized Gain Loss Records](https://docs.bridgeft.com/reference/getsourcerealizedgainlosseslatest.md): Returns a list of the most recent realized gain loss records as of the latest date reported by the custodian. Request body fields can be included in request body, or as query parameters for optional filtering. - [List all account balances records](https://docs.bridgeft.com/reference/getsourceaccountbalances-1.md): Returns a list of account balances - [Retrieve an account balance record](https://docs.bridgeft.com/reference/getsourceaccountbalance-1.md): Returns an account balance record based on its ID - [Filter all account balance records](https://docs.bridgeft.com/reference/filtersourceaccountbalance-1.md): Returns a filtered list of account balance records - [Latest Account Balance Records](https://docs.bridgeft.com/reference/getsourceaccountbalanceslatest.md): Returns a list of the most recent account balance records as of the latest date reported by the custodian. Endpoint Supports optional filtering. - [List all transactions records](https://docs.bridgeft.com/reference/getsourcetransactions-1.md): Returns a list of transactions - [Retrieve a transaction record](https://docs.bridgeft.com/reference/getsourcetransaction-1.md): Returns a transaction record based on its ID - [Filter all transaction records](https://docs.bridgeft.com/reference/filtersourcetransaction-1.md): Returns a filtered list of transaction records - [Latest Transaction Records](https://docs.bridgeft.com/reference/getsourcetransactionslatest.md): Returns a list of the most recent transaction records as of the latest date reported by the custodian. Request body fields can be included in request body, or as query parameters for optional filtering. - [Get Intrinio Market Data](https://docs.bridgeft.com/reference/getintriniomarketdata.md): Endpoint to access market data from Intrinio. Sign up for an API Key [here](https://docs.intrinio.com/documentation/api_v2/getting_started). The endpoint response varies depending on the Intrinio endpoint provided. - [Account Meta Status Summary](https://docs.bridgeft.com/reference/getaccountstatussummary-1.md): Fetch account meta status summary for all the source data accross the firm - [Source Data Status](https://docs.bridgeft.com/reference/getsourcedatastatus-1.md): Status of source data ingestion. TDA availability status is applicable prior to Sept. 2, 2023. ## Pages - [FAQs](https://docs.bridgeft.com/faqs.md) ## Changelog - [February 6 2026 - v.2026.1.0](https://docs.bridgeft.com/changelog/february-6-2026-v202610.md) - [October 14 2025 - v.2025.1.0](https://docs.bridgeft.com/changelog/october-10-2025-v202510.md) - [July 17 2025 - v.2025.1.0](https://docs.bridgeft.com/changelog/april-11-2025-v202510.md) - [April 11, 2025 - v.2025.1.0](https://docs.bridgeft.com/changelog/april-11-2025.md) - [December 31, 2024 - v.2024.1.0](https://docs.bridgeft.com/changelog/december-31-2024-v202410.md) - [May 6, 2024 - v.2023.1.0](https://docs.bridgeft.com/changelog/may-6-2024-v202310.md) - [April 10, 2024 - v.2023.1.0](https://docs.bridgeft.com/changelog/april-10-2024-v202310.md) - [February 29, 2024 - v.2023.1.0](https://docs.bridgeft.com/changelog/february-29-2024-v202310.md) - [January 29, 2024 - v.2023.1.0](https://docs.bridgeft.com/changelog/january-29-2024-v202310.md) - [November - December 20, 2023 - v.2023.1.0](https://docs.bridgeft.com/changelog/november-30-2023-v20231.md)